# Uses of Interface
org.opensaml.soap.wsfed.AppliesTo

Packages that use AppliesTo
Package
Description
org.opensaml.soap.wsfed
XMLObject interfaces for WS-Federation elements.
org.opensaml.soap.wsfed.impl
XML Object provider implementations for WS-Federation.

## Uses of AppliesTo in org.opensaml.soap.wsfed

Methods in org.opensaml.soap.wsfed that return AppliesTo
Modifier and Type
Method
Description
`AppliesTo`
RequestSecurityTokenResponse.`getAppliesTo()`
Gets the entity to which the token applies.
Methods in org.opensaml.soap.wsfed with parameters of type AppliesTo
Modifier and Type
Method
Description
`void`
RequestSecurityTokenResponse.`setAppliesTo(AppliesTo appliesTo)`
Set the entity to which the token applies.

## Uses of AppliesTo in org.opensaml.soap.wsfed.impl

Classes in org.opensaml.soap.wsfed.impl that implement AppliesTo
Modifier and Type
Class
Description
`class`
`AppliesToImpl`
Implementation of the `AppliesTo` Object.
Fields in org.opensaml.soap.wsfed.impl declared as AppliesTo
Modifier and Type
Field
Description
`private AppliesTo`
RequestSecurityTokenResponseImpl.`appliesTo`
Entity to whom the tokens apply.
Methods in org.opensaml.soap.wsfed.impl that return AppliesTo
Modifier and Type
Method
Description
`AppliesTo`
AppliesToBuilder.`buildObject()`
Builds a WS-Federation object using its default element name.
`AppliesTo`
AppliesToBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`AppliesTo`
RequestSecurityTokenResponseImpl.`getAppliesTo()`
Gets the entity to which the token applies.
Methods in org.opensaml.soap.wsfed.impl with parameters of type AppliesTo
Modifier and Type
Method
Description
`void`
RequestSecurityTokenResponseImpl.`setAppliesTo(AppliesTo newappliesTo)`
Set the entity to which the token applies.